Latest 1.0.4
Homepage https://github.com/yandex-money/yandex-money-sdk-ios
License MIT
Platforms ios 7.0, requires ARC
Dependencies YandexMoneySDKObjc
Frameworks UIKit
Authors

This open-source library is deprecated and not supported.

Please use Objective-C Yandex.Money SDK for working with Yandex.Money API.

YandexMoneySDKiOS

Version
Platform

Usage

To run the example project; clone the repo, and run pod install from the Example directory first.

Links

Installation

YandexMoneySDKiOS is available through CocoaPods, to install
it simply add the following line to your Podfile:

pod "YandexMoneySDKiOS"

Code samples

Example of payment:

NSDictionary *paymentParams = @{@"amount" : @"2", @"phone-number" : @"79088888888"};

//Starting payment process
YMACpsController *cpsController = [[YMACpsController alloc] initWithClientId:kClientId patternId:@"phone-topup" andPaymentParams:paymentParams];

[self presentViewController:cpsController animated:YES completion:NULL];

License

YandexMoneySDKiOS is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "YandexMoneySDKiOS",
    "version": "1.0.4",
    "summary": "Default UI for iOS Yandex.Money SDK",
    "homepage": "https://github.com/yandex-money/yandex-money-sdk-ios",
    "license": "MIT",
    "authors": {
        "Alex Mertvetsov": "[email protected]"
    },
    "source": {
        "git": "https://github.com/yandex-money/yandex-money-sdk-ios.git",
        "tag": "1.0.4"
    },
    "social_media_url": "https://twitter.com/yamoneynews",
    "documentation_url": "http://api.yandex.ru/money/",
    "platforms": {
        "ios": "7.0"
    },
    "requires_arc": true,
    "source_files": "Classes/**/*.{h,m}",
    "resources": "Assets/uiymcpssdkios.bundle",
    "frameworks": "UIKit",
    "dependencies": {
        "YandexMoneySDKObjc": [
            "~> 1.0"
        ]
    }
}

Pin It on Pinterest

Share This